Skip to main content
GET
/
api
/
user
/
{userId}
Get User By ID
curl --request GET \
  --url https://app.replay.sale/api/user/{userId} \
  --header 'x-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "firstName": "<string>",
  "email": "jsmith@example.com",
  "role": "Rep",
  "createdAt": "2023-11-07T05:31:56Z",
  "lastName": "<string>",
  "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from your company settings.

Path Parameters

userId
string<uuid>
required

The UUID of the user to retrieve

Response

Successfully retrieved user

id
string<uuid>
required

Unique identifier for the user

firstName
string
required

User's first name

email
string<email>
required

User's email address

role
enum<string>
required

User's role in the company

Available options:
Rep,
Manager,
Integration
createdAt
string<date-time>
required

When the user was created

lastName
string | null

User's last name

teamId
string<uuid> | null

ID of the team the user belongs to